package com.sy.coinage.workshop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sy.coinage.app.req.vo.CheckDetailVO;
import com.sy.coinage.workshop.model.*;
import com.sy.coinage.workshop.req.*;
import com.sy.coinage.workshop.vo.*;

import java.util.List;

/**
 * -IService
 */
public interface ICheckDetailService extends IService<CheckDetail> {
    CheckDetail getByRfidSerialNumber(String rfid, String serialNumber, Integer checkercheckId);

    List<CheckDetailVO> getInitList(Integer checkId);

    List<CheckDetailVO> getShopReceiveList(Integer checkId);

    List<CheckDetailVO> getShopInProList(Integer checkId);

    List<CheckDetailVO> getShopOutMachineList(Integer checkId);

    List<CheckDetailVO> getShopOutList(Integer checkId);

    List<CheckDetailVO> getOpList(Integer checkId);
}
